Get agent group details

Retrieves details for the specified agent group, including the agent records that belong to the group. You can apply filtering, sorting, or pagination to the agent records.

Requires the Scan Manager [40] user role or the VM.VM_SENSOR.AGENT_GROUP.READ custom role privilege. See Roles.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Specifies the ID or UUID of the agent group to query. You can retrieve the agent group ID or UUID by using the List agent groups endpoint.

Query Params
string

Specifies a filter condition in the field:operator:value format. For example, field1:match:sometext matches any records where the value of field1 contains sometext. You can specify multiple f parameters.

string
enum

Specifies whether an and or or condition is applied when multiple f parameters are present. If the filter type is and, a record is only returned if all filters match. If the filter type is or, a record is returned if any filter matches.

Allowed:
string

Specifies a wildcard filter string to match against multiple fields of a record simultaneously. If any supported wildcard_fields value matches the filter string, the record matches the wildcard filter. For a record to be returned, it must pass the wildcard filter (if present) AND all standard filters. For example, w=wild&f=field1:match:one&f=field2:match:two&ft=or returns records where any supported wildcard field contains wild, AND either field1 contains one or field2 contains two.

string

Specifies a comma-separated subset of wildcard_fields to search when applying the wildcard filter. For example, field1,field2. If w is provided but wf is omitted, the system searches all supported wildcard_fields against the wildcard filter text.

int32
1 to 5000
Defaults to 50

Specifies the number of records to retrieve. If omitted, the system uses the default value of 50.

int32
Defaults to 0

Specifies the starting record to retrieve. If omitted, the system uses the default value of 0.

string

Specifies the field and order used to sort the results, in the format field:order. The order must be asc (ascending) or desc (descending). For example, name:desc sorts results by the name field in descending order.

To sort by multiple fields, separate each field:order pair with a comma. For example, name:desc,creation_date:asc sorts first by name descending, then by creation_date ascending.

Note: Sort can only be applied to sortable fields specified by the filter capabilities, and the number of sort columns cannot exceed the max_sort_fields value specified by the filter capabilities.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

403

Returned if you do not have permission to view the agent group.

404

Returned if Tenable Vulnerability Management cannot find the specified agent group.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html